Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZNotificationEventHandler Class Reference

The class eZNotificationEventHandler does. More...

Inheritance diagram for eZNotificationEventHandler:

## Public Member Functions
| __construct ( $idString, $name)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| handle ( $event)
| cleanup ()
| fetchHttpInput ( $http, $module)
| storeSettings ( $http, $module)

## Public Attributes
const | EVENT_HANDLED = 0
const | EVENT_SKIPPED = 1
const | EVENT_UNKNOWN = 2
const | EVENT_ERROR = 3
| $IDString = false
| $Name = false

## Detailed Description

The class eZNotificationEventHandler does.

Definition at line 17 of file eznotificationeventhandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZNotificationEventHandler::__construct | ( |  | $idString,
|  |  | $name
| ) |  |

Constructor

Parameters

  string | $idString |
  string | $name |

Definition at line 30 of file eznotificationeventhandler.php.

## Member Function Documentation

## ◆ attribute()

eZNotificationEventHandler::attribute | ( |  | $attr | ) |

Reimplemented in eZSubTreeHandler, eZGeneralDigestHandler, and eZCollaborationNotificationHandler.

Definition at line 47 of file eznotificationeventhandler.php.

References $IDString, $Name, and eZDebug\writeError().

Referenced by eZCollaborationNotificationHandler\attribute(), eZGeneralDigestHandler\attribute(), and eZSubTreeHandler\attribute().

## ◆ attributes()

eZNotificationEventHandler::attributes | ( |  | ) |

Reimplemented in eZSubTreeHandler, eZGeneralDigestHandler, and eZCollaborationNotificationHandler.

Definition at line 36 of file eznotificationeventhandler.php.

Referenced by eZCollaborationNotificationHandler\attributes(), eZGeneralDigestHandler\attributes(), eZSubTreeHandler\attributes(), and hasAttribute().

## ◆ cleanup()

eZNotificationEventHandler::cleanup | ( |  | ) |

Cleanup any specific tables or other resources.

Reimplemented in eZSubTreeHandler, eZGeneralDigestHandler, and eZCollaborationNotificationHandler.

Definition at line 70 of file eznotificationeventhandler.php.

## ◆ fetchHttpInput()

eZNotificationEventHandler::fetchHttpInput | ( |  | $http,
|  |  | $module
| ) |  |

Reimplemented in eZSubTreeHandler, and eZCollaborationNotificationHandler.

Definition at line 74 of file eznotificationeventhandler.php.

## ◆ handle()

eZNotificationEventHandler::handle | ( |  | $event | ) |

Reimplemented in eZSubTreeHandler, eZGeneralDigestHandler, and eZCollaborationNotificationHandler.

Definition at line 62 of file eznotificationeventhandler.php.

## ◆ hasAttribute()

eZNotificationEventHandler::hasAttribute | ( |  | $attr | ) |

Reimplemented in eZSubTreeHandler, eZGeneralDigestHandler, and eZCollaborationNotificationHandler.

Definition at line 42 of file eznotificationeventhandler.php.

References attributes().

## ◆ storeSettings()

eZNotificationEventHandler::storeSettings | ( |  | $http,
|  |  | $module
| ) |  |

Reimplemented in eZGeneralDigestHandler.

Definition at line 79 of file eznotificationeventhandler.php.

## Member Data Documentation

## ◆ $IDString

eZNotificationEventHandler::$IDString = false

Definition at line 84 of file eznotificationeventhandler.php.

Referenced by attribute().

## ◆ $Name

eZNotificationEventHandler::$Name = false

Definition at line 85 of file eznotificationeventhandler.php.

Referenced by attribute().

## ◆ EVENT_ERROR

const eZNotificationEventHandler::EVENT_ERROR = 3

Definition at line 22 of file eznotificationeventhandler.php.

## ◆ EVENT_HANDLED

const eZNotificationEventHandler::EVENT_HANDLED = 0

Definition at line 19 of file eznotificationeventhandler.php.

Referenced by eZCollaborationNotificationHandler\handle(), eZSubTreeHandler\handle(), eZCollaborationItemHandler\handleCollaborationEvent(), and eZSubTreeHandler\handlePublishEvent().

## ◆ EVENT_SKIPPED

const eZNotificationEventHandler::EVENT_SKIPPED = 1

Definition at line 20 of file eznotificationeventhandler.php.

Referenced by eZCollaborationItemHandler\handleCollaborationEvent(), eZCollaborationNotificationHandler\handleCollaborationEvent(), and eZSubTreeHandler\handlePublishEvent().

## ◆ EVENT_UNKNOWN

const eZNotificationEventHandler::EVENT_UNKNOWN = 2

Definition at line 21 of file eznotificationeventhandler.php.

The documentation for this class was generated from the following file:

- eznotificationeventhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.